*****************************************************
* DualBar provides 2 progress bars and 
* allows the following options.
*
*  Set Window Title     <Optional>
*  Display a Message    <Optional>
* 
*
*-------------
*- Parameters -
*-------------
*  Pct    =  Percentage of single activity
*  Tpct   =  Percentage of combined single activities
*  Mssg1  =  Message to Display    <Optional>
*  Title  =  Window Title          <Optional>
*
*
*----------
*- Syntax -
*----------
* Do DualBar with ;
*   <Top Bar Percent> ;
*   <Combined Total > ;
*   <Message Text   > ;
*   <Window Title   >
*
* Do DualBar with 18,2345,"Scanning Records","Duplicate File Search"

*-----------
*- EXAMPLE -
*-----------
* This example uses 3 file sizes

PRIVATE Cnt,mList,FileSize,TotCnt

STORE 0  TO CNT,TOTCNT,FILESIZE
STORE "" TO mLIST

DECLARE mLIST[3]
mLIST(1) = 750
mLIST(2) = 250
mLIST(3) = 500

TOTCNT = mLIST(1)+mLIST(2)+mLIST(3)


FOR K = 1 TO 3		    && 3 Records Total
 FOR J = 1 TO mLIST(K)      && Individual Record Size
  BAR1 = (J*100/mLIST(K))
  CNT = CNT + 1             && Accumulate Record Sizes by 1
  BAR2 = (CNT*100/TOTCNT)
  MSG = "Record # "+ltrim(str(k))+" of  3   "+STR(J)
  DO DUALBAR WITH Bar1,Bar2,Msg,"DualBar Demo"
 ENDFOR
ENDFOR
